Sets the image depth

- « Imagick::setImageDelay

- Imagick::setImageDispose »

- PHP Manual
- Imagick
- Sets the image depth

# Imagick::setImageDepth

(PECL imagick 2, PECL imagick 3)

Imagick::setImageDepth — Sets the image depth

### Description

public Imagick::setImageDepth(int `$depth`): bool

Sets the image depth.

### Parameters

`depth`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.